use clap::Parser;
use color_eyre::Result;

use crate::handler::Handler;

mod handler;

#[derive(Debug, Parser)]
#[command(name = "pa_volume")]
enum CliCommand {
    #[command(about = "Print all currently available entities")]
    Entities,
    #[command(name = "deckster-run", hide = true)]
    Run,
}

fn main() -> Result<()> {
    let command = CliCommand::parse();

    match command {
        CliCommand::Entities => todo!(),
        CliCommand::Run => {
            deckster_mode::run(Handler::new)?;
        }
    }

    Ok(())
}
